# TransformerAll
Date: 2019-11-17

org.deidentifier.arx.framework.check.transformer

## Class TransformerAll

- java.lang.Object
- - org.deidentifier.arx.framework.check.transformer.AbstractTransformer
  - - org.deidentifier.arx.framework.check.transformer.TransformerAll

All Implemented Interfaces:
  java.util.concurrent.Callable<HashGroupify>

    public class TransformerAll
    extends AbstractTransformer

The class TransformerAll.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`TransformerAll(DataMatrix data, GeneralizationHierarchy[] hierarchies, DataMatrix dataAnalyzed, int dataAnalyzedNumberOfColumns, IntArrayDictionary dictionarySensValue, IntArrayDictionary dictionarySensFreq, ARXConfiguration.ARXConfigurationInternal config)` Instantiates a new transformer.

### Method Summary

### Methods inherited from class org.deidentifier.arx.framework.check.transformer.AbstractTransformer

`call, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransformerAll

    public TransformerAll(DataMatrix data,
                          GeneralizationHierarchy[] hierarchies,
                          DataMatrix dataAnalyzed,
                          int dataAnalyzedNumberOfColumns,
                          IntArrayDictionary dictionarySensValue,
                          IntArrayDictionary dictionarySensFreq,
                          ARXConfiguration.ARXConfigurationInternal config)

Instantiates a new transformer.

Parameters:
  `data` - the data
  `hierarchies` - the hierarchies
  `dataAnalyzed` -
  `dataAnalyzedNumberOfColumns` -
  `dictionarySensValue` -
  `dictionarySensFreq` -
  `config` -